# Class AgentExecutor.Builder

java.lang.Object
com.google.adk.a2a.executor.AgentExecutor.Builder

Enclosing class:
  `AgentExecutor`

public static class AgentExecutor.Builder extends Object
Builder for `AgentExecutor`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AgentExecutor.Builder`
  `agent(BaseAgent agent)`
  `AgentExecutor.Builder`
  `agentExecutorConfig(AgentExecutorConfig agentExecutorConfig)`
  `AgentExecutor.Builder`
  `app(App app)`
  `AgentExecutor.Builder`
  `appName(String appName)`
  `AgentExecutor.Builder`
  `artifactService(BaseArtifactService artifactService)`
  `AgentExecutor`
  `build()`
  `AgentExecutor.Builder`
  `memoryService(BaseMemoryService memoryService)`
  `AgentExecutor.Builder`
  `plugins(List<? extends Plugin> plugins)`
  `AgentExecutor.Builder`
  `sessionService(BaseSessionService sessionService)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### agentExecutorConfig

    @CanIgnoreReturnValue public AgentExecutor.Builder agentExecutorConfig(AgentExecutorConfig agentExecutorConfig)

  - ### app

    @CanIgnoreReturnValue public AgentExecutor.Builder app(App app)

  - ### agent

    @CanIgnoreReturnValue public AgentExecutor.Builder agent(BaseAgent agent)

  - ### appName

    @CanIgnoreReturnValue public AgentExecutor.Builder appName(String appName)

  - ### artifactService

    @CanIgnoreReturnValue public AgentExecutor.Builder artifactService(BaseArtifactService artifactService)

  - ### sessionService

    @CanIgnoreReturnValue public AgentExecutor.Builder sessionService(BaseSessionService sessionService)

  - ### memoryService

    @CanIgnoreReturnValue public AgentExecutor.Builder memoryService(BaseMemoryService memoryService)

  - ### plugins

    @CanIgnoreReturnValue public AgentExecutor.Builder plugins(List<? extends Plugin> plugins)

  - ### build

    public AgentExecutor build()